Package org.eclipse.pde.core.plugin

# Interface IPluginExtension

All Superinterfaces:
  `IAdaptable`, `IIdentifiable`, `IPluginObject`, `IPluginParent`, `IWritable`

public interface IPluginExtension extends IPluginParent, IIdentifiable
Classes that implement this interface model the extension element found in the plug-in or fragment manifest.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`P_POINT`
A name of the property that will be used to notify about the "point" change

### Fields inherited from interface org.eclipse.pde.core.IIdentifiable

`P_ID`

### Fields inherited from interface org.eclipse.pde.core.plugin.IPluginObject

`P_NAME`

### Fields inherited from interface org.eclipse.pde.core.plugin.IPluginParent

`P_SIBLING_ORDER`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPoint()`
Returns the full ID of the extension point that this extension is plugged into.
`Object`
`getSchema()`
Returns the schema for the extension point that this extension is plugged into or `null` if not found.
`void`
`setPoint(String point)`
Sets the value of the extension point Id This method will throw a CoreException if this model is not editable.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.pde.core.IIdentifiable

`getId, setId`

### Methods inherited from interface org.eclipse.pde.core.plugin.IPluginObject

`getModel, getName, getParent, getPluginBase, getPluginModel, getResourceString, getTranslatedName, isInTheModel, isValid, setInTheModel, setName`

### Methods inherited from interface org.eclipse.pde.core.plugin.IPluginParent

`add, add, getChildCount, getChildren, getIndexOf, remove, swap`

### Methods inherited from interface org.eclipse.pde.core.IWritable

`write`

## Field Details

### P_POINT

static final String P_POINT
A name of the property that will be used to notify about the "point" change

See Also:
  - Constant Field Values

## Method Details

### getPoint

String getPoint()
Returns the full ID of the extension point that this extension is plugged into.

Returns:
  the full extension point ID

### getSchema

Object getSchema()
Returns the schema for the extension point that this extension is plugged into or `null` if not found.

This method is an implementation detail - schema object is not needed for clients outside PDE and should not be used.

Returns:
  The schema for the associated extension point or `null`

### setPoint

void setPoint(String point) throws CoreException
Sets the value of the extension point Id This method will throw a CoreException if this model is not editable.

Parameters:
  `point` - the new extension point Id
Throws:
  `CoreException` - if the model is not editable